> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List sponsored brand campaign bids.

> Retrieve a cursor-paginated list of bids for a regular sponsored brand campaign. The response uses external slot identifiers and only exposes V2 sponsored brand bids.



## OpenAPI

````yaml /openapi.json get /public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids:
    get:
      tags:
        - Campaign API
      summary: List sponsored brand campaign bids.
      description: >-
        Retrieve a cursor-paginated list of bids for a regular sponsored brand
        campaign. The response uses external slot identifiers and only exposes
        V2 sponsored brand bids.
      operationId: public_get_sponsored_brand_bids
      parameters:
        - name: campaign-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the campaign.
          description: The ID of the campaign.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: The pagination limit.
            default: 100
          description: The pagination limit.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              A token provided in a previous response. If not empty, it is used
              to retrieve the page that follows.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            A token provided in a previous response. If not empty, it is used to
            retrieve the page that follows.
        - name: search
          in: query
          required: false
          schema:
            description: Search query to filter the bids.
            oneOf:
              - type: string
              - type: 'null'
          description: Search query to filter the bids.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_PublicSponsoredBrandBidsResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_PublicSponsoredBrandBidsResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        results:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicSponsoredBrandBid'
          type: array
          title: Results
          description: An array of sponsored brand bids.
      type: object
      required:
        - hasMore
        - results
      title: PublicSponsoredBrandBidsResponse
      description: Paginated list of sponsored brand bids.
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_PublicSponsoredBrandBid:
      properties:
        bidId:
          type: string
          format: uuid
          title: Bidid
          description: The ID of the bid.
        state:
          $ref: '#/components/schemas/Advanced_APIs_BidState'
          description: The activity state of the bid.
        amount:
          format: int32
          title: Amount
          description: >-
            Maximum amount of money willing to offer for a sponsored slot in
            minor units of currency according to ISO 4217.
          oneOf:
            - type: integer
              exclusiveMaximum: 2000000000
              exclusiveMinimum: 0
            - type: 'null'
        target:
          $ref: '#/components/schemas/Advanced_APIs_Entity'
        triggers:
          items:
            oneOf:
              - $ref: '#/components/schemas/Advanced_APIs_CategoriesTrigger'
              - $ref: >-
                  #/components/schemas/Advanced_APIs_CategoriesFromCampaignProductsTrigger
              - $ref: '#/components/schemas/Advanced_APIs_CategoryTrigger'
              - $ref: '#/components/schemas/Advanced_APIs_KeywordTrigger-Output'
              - $ref: >-
                  #/components/schemas/Advanced_APIs_KeywordsFromCampaignProductsTrigger
              - $ref: '#/components/schemas/Advanced_APIs_ProductTrigger'
            description: When should this bid participate in an auction.
            discriminator:
              propertyName: type
              mapping:
                categories:
                  $ref: '#/components/schemas/Advanced_APIs_CategoriesTrigger'
                categories_from_campaign_products:
                  $ref: >-
                    #/components/schemas/Advanced_APIs_CategoriesFromCampaignProductsTrigger
                category:
                  $ref: '#/components/schemas/Advanced_APIs_CategoryTrigger'
                keyword:
                  $ref: '#/components/schemas/Advanced_APIs_KeywordTrigger-Output'
                keywords_from_campaign_products:
                  $ref: >-
                    #/components/schemas/Advanced_APIs_KeywordsFromCampaignProductsTrigger
                product:
                  $ref: '#/components/schemas/Advanced_APIs_ProductTrigger'
          type: array
          minItems: 1
          title: Triggers
          description: >-
            A list of objects that trigger the appearance of this bid on an
            auction.
        formatProperties:
          $ref: '#/components/schemas/Advanced_APIs_PublicSponsoredBrandAd'
          description: The public V2 format properties of the bid.
        location:
          title: Location
          description: Optional location associated with this bid.
          examples:
            - Santiago
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
      type: object
      required:
        - bidId
        - state
        - target
        - triggers
        - formatProperties
      title: PublicSponsoredBrandBid
      description: A sponsored brand bid returned by the public API.
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Advanced_APIs_BidState:
      type: string
      enum:
        - active
        - deactivated_manually
        - inactive_entity
        - deleted_entity
        - legacy_inactive
        - inactive_schedule
      title: BidState
      description: The activity state of a bid.
    Advanced_APIs_Entity:
      properties:
        id:
          type: string
          maxLength: 256
          minLength: 1
          title: Id
          description: The unique ID of the entity.
          examples:
            - p_8983
        type:
          $ref: '#/components/schemas/Advanced_APIs_CampaignEntityType'
          examples:
            - product
      type: object
      required:
        - id
        - type
      title: Entity
      description: >-
        Represents a promotable entity that will be returned upon a winning
        auction.
    Advanced_APIs_CategoriesTrigger:
      properties:
        type:
          type: string
          const: categories
          title: Type
        value:
          $ref: '#/components/schemas/Advanced_APIs_CategoriesValue'
      type: object
      required:
        - type
        - value
      title: CategoriesTrigger
      description: |-
        Catalog-based categories from a product.

        Ideal for category product listing pages.
        Not allowed for banner ads.
    Advanced_APIs_CategoriesFromCampaignProductsTrigger:
      properties:
        type:
          type: string
          const: categories_from_campaign_products
          title: Type
      type: object
      required:
        - type
      title: CategoriesFromCampaignProductsTrigger
      description: Categories from campaign products.
    Advanced_APIs_CategoryTrigger:
      properties:
        type:
          type: string
          const: category
          title: Type
        value:
          $ref: '#/components/schemas/Advanced_APIs_CategoryValue'
      type: object
      required:
        - type
        - value
      title: CategoryTrigger
      description: |-
        Catalog-based category from a product.

        Ideal for category product listing pages.
    Advanced_APIs_KeywordTrigger-Output:
      properties:
        type:
          type: string
          const: keyword
          title: Type
        value:
          $ref: '#/components/schemas/Advanced_APIs_KeywordValue'
      type: object
      required:
        - type
        - value
      title: KeywordTrigger
      description: |-
        Collection of keywords that match to a product.

        Ideal for search results pages.
    Advanced_APIs_KeywordsFromCampaignProductsTrigger:
      properties:
        type:
          type: string
          const: keywords_from_campaign_products
          title: Type
      type: object
      required:
        - type
      title: KeywordsFromCampaignProductsTrigger
      description: Keywords from campaign products.
    Advanced_APIs_ProductTrigger:
      properties:
        type:
          type: string
          const: product
          title: Type
        value:
          $ref: '#/components/schemas/Advanced_APIs_ProductValue'
      type: object
      required:
        - type
        - value
      title: ProductTrigger
      description: The ID of a product.
    Advanced_APIs_PublicSponsoredBrandAd:
      properties:
        imageAssets:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicSponsoredBrandAsset'
          type: array
          maxItems: 500
          title: Imageassets
          description: The image assets for the sponsored brand ad.
        content:
          additionalProperties: true
          type: object
          title: Content
          description: Dynamic content validated against the slot's JSON template.
        slotId:
          type: string
          title: Slotid
          description: The external slot ID where the sponsored brand ad is shown.
      type: object
      required:
        - imageAssets
        - content
        - slotId
      title: PublicSponsoredBrandAd
      description: The public V2 format properties of a sponsored brand bid.
    Advanced_APIs_CampaignEntityType:
      type: string
      enum:
        - product
        - brand
        - vendor
        - url
      title: CampaignEntityType
      description: The type of the entity to be advertised.
    Advanced_APIs_CategoriesValue:
      properties:
        fromProduct:
          type: string
          title: Fromproduct
          description: The ID of the product to retrieve categories from.
      type: object
      required:
        - fromProduct
      title: CategoriesValue
    Advanced_APIs_CategoryValue:
      properties:
        categoryId:
          type: string
          title: Categoryid
          description: The ID of the category.
      type: object
      required:
        - categoryId
      title: CategoryValue
    Advanced_APIs_KeywordValue:
      properties:
        words:
          items:
            type: string
          type: array
          maxItems: 5000
          title: Words
          description: The list of keywords.
        matchType:
          $ref: '#/components/schemas/Advanced_APIs_KeywordMatchType'
      type: object
      required:
        - words
        - matchType
      title: KeywordValue
    Advanced_APIs_ProductValue:
      properties:
        productId:
          type: string
          title: Productid
          description: The ID of the product.
      type: object
      required:
        - productId
      title: ProductValue
    Advanced_APIs_PublicSponsoredBrandAsset:
      properties:
        height:
          type: integer
          title: Height
          description: The height of the asset.
        width:
          type: integer
          title: Width
          description: The width of the asset.
        contentType:
          type: string
          title: Contenttype
          description: The content type of the asset.
        contentLength:
          type: integer
          exclusiveMinimum: 0
          title: Contentlength
          description: The content length of the asset.
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
          description: The URL of the asset.
      type: object
      required:
        - height
        - width
        - contentType
        - contentLength
        - url
      title: PublicSponsoredBrandAsset
    Advanced_APIs_KeywordMatchType:
      type: string
      enum:
        - exact
        - phrase
      title: KeywordMatchType
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````